package cz.moneta.test.dsl.mobile.smartbanking;

import cz.moneta.test.harness.context.StoreAccessor;
import cz.moneta.test.harness.endpoints.smartbanka.SbEndpoint;
import cz.moneta.test.harness.support.mobile.share.MobileFlow;
import cz.moneta.test.harness.support.web.CustomAction;

public interface SbViewFlow<A extends MobileFlow<A>> extends MobileFlow<A>, StoreAccessor {

    @CustomAction
    default A saveSource() {
        getEndpoint(SbEndpoint.class).saveSources(getClass().getInterfaces()[0].getSimpleName());
        return null;
    }
}
